## Function(treeId, treeNode)setting.callback.beforeCheck

### Overview[ depends on jquery.ztree.excheck js ]

Callback before checking or unchecking a node, A false return value from the callback will prevent any change in the checked state.

Default: null

### Function Parameter Descriptions

#### treeId String

zTree unique identifier: treeId.

#### treeNode JSON

JSON data object of the node which is checked or unchecked

#### Return Boolean

return true or false

If return false, zTree will not change the checkbox state, and will not trigger the 'onCheck' callback.

### Examples of setting & function

#### 1. This example returns false, preventing all checkboxes in the tree from toggling.

    function myBeforeCheckCallBack(treeId, treeNode) {
        return false;
    };
    var setting = {
    	callback: {
    		beforeCheck: myBeforeCheckCallBack
    	}
    };
    ......